Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.pagebus.callbacks
Class OnPublishCallback

    java.lang.Object
      com.tibco.bpm.web.client.model.pagebus.callbacks.OnPublishCallback

    public abstract class OnPublishCallback

extends java.lang.Object

This callback is invoked when a message is published. This can be specified on the ManagedHub constructor and is used to define a custom policy that controls which clients are allowed to send data on which topics to which clients.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`OnPublishCallback()`

Method Summary
`static com.google.gwt.core.client.JavaScriptObject` | `getNativeCallback(OnPublishCallback instance)`
`protected abstract boolean` | `onPublish(java.lang.String topic, java.lang.Object message, java.lang.Object publishContainer, java.lang.Object subscribeContainer)` Callback handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OnPublishCallback

    public OnPublishCallback()

Method Detail

### onPublish

    protected abstract boolean onPublish(java.lang.String topic,
                                         java.lang.Object message,
                                         java.lang.Object publishContainer,
                                         java.lang.Object subscribeContainer)

  Callback handler.

  Parameters:
    `topic` - The topic to which the first container is publishing.
    `message` - The data that the first container is publishing.
    `publishContainer` - The container that is publishing (if the publisher is the Manager Application, publishContainer is null)
    `subscribeContainer` - The container to which the data is about to be delivered (if this is the Manager Application, subscribeContainer is null)

### getNativeCallback

    public static final com.google.gwt.core.client.JavaScriptObject getNativeCallback(OnPublishCallback instance)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.